# Uses of Interface
org.eclipse.emf.compare.conflict.IConflictDetector

Packages that use IConflictDetector
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.conflict
org.eclipse.emf.compare.rcp

## Uses of IConflictDetector in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare declared as IConflictDetector
Modifier and Type
Field
Description
`protected IConflictDetector`
EMFCompare.Builder.`conflictDetector`
The IConflictDetector to use to compute conflicts.
Methods in org.eclipse.emf.compare with parameters of type IConflictDetector
Modifier and Type
Method
Description
`EMFCompare.Builder`
EMFCompare.Builder.`setConflictDetector(IConflictDetector cd)`
Sets the IEquiEngine to be used to compute conflicts between Diff.
Constructors in org.eclipse.emf.compare with parameters of type IConflictDetector
Modifier
Constructor
Description
`protected`
`EMFCompare(IMatchEngine.Factory.Registry matchEngineFactoryRegistry, IDiffEngine diffEngine, IReqEngine reqEngine, IEquiEngine equiEngine, IConflictDetector conflictDetector, IPostProcessor.Descriptor.Registry<?> postProcessorFactoryRegistry)`
Creates a new EMFCompare object able to compare Notifier with the help of given engines.

## Uses of IConflictDetector in org.eclipse.emf.compare.conflict

Classes in org.eclipse.emf.compare.conflict that implement IConflictDetector
Modifier and Type
Class
Description
`class`
`DefaultConflictDetector`
The conflict detector is in charge of refining the Comparison model with all detected Conflict between its differences.
`class`
`MatchBasedConflictDetector`
This conflict detector searches for conflicting `Diff`s in the same `Match` as the current `Diff`, as well as among `ReferenceChange`s that reference the same `EObject` as the current `Diff`, if it is a `ReferenceChange`.

## Uses of IConflictDetector in org.eclipse.emf.compare.rcp

Methods in org.eclipse.emf.compare.rcp that return types with arguments of type IConflictDetector
Modifier and Type
Method
Description
`IItemRegistry<IConflictDetector>`
EMFCompareRCPPlugin.`getConflictDetectorDescriptorRegistry()`
Returns the registry of Conflict detector.